<?php
namespace Bushelpowered\Api\Common\Event;
        
interface StandardRecord
{
    public function getid(): string;
    public function gettenantId(): ?string;
    public function getdatasourceId(): string;
    public function getintegrationId(): string;
    public function getsourceId(): string;
    public function getaccountId(): ?string;
    public function getlocationId(): ?string;
        /**
         * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getupdatedAt(): string;
        /**
         * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getcreatedAt(): string;
        /**
         * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getdeletedAt(): ?string;
}