<?php
namespace Bushelpowered\Api\Platform\Subscription\V1\Response;
        
class GetAllSubscriptionResponse 
{
    public ?string $subscriptionId = null;
    public string $accountId;
    public string $sourceAccountId;
    public string $accountName;
    public string $featureId;
    public string $featureName;
    public ?bool $isSubscribed = null;
    /** @var null|string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAt = null;
    /** @var null|string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $updatedAt = null;

    /**
     * @param  null|string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(?string $subscriptionId, string $accountId, string $sourceAccountId, string $accountName, string $featureId, string $featureName, ?bool $isSubscribed, ?string $createdAt, ?string $updatedAt)
    {
        $this->subscriptionId = $subscriptionId;
        $this->accountId = $accountId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountName = $accountName;
        $this->featureId = $featureId;
        $this->featureName = $featureName;
        $this->isSubscribed = $isSubscribed;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}