<?php
namespace Bushelpowered\Api\Data\Analytics\V1\Response;
        
class PageTitleResponse 
{
    public string $company;
    public ?string $date = null;
    public ?string $pageTitle = null;
    public ?int $pageViews = null;
    public ?int $visitors = null;
    public ?int $totalTimeSpent = null;
    public ?float $avgTimeSpent = null;

    /**
     */
    public function __construct(string $company, ?string $date, ?string $pageTitle, ?int $pageViews, ?int $visitors, ?int $totalTimeSpent, ?float $avgTimeSpent)
    {
        $this->company = $company;
        $this->date = $date;
        $this->pageTitle = $pageTitle;
        $this->pageViews = $pageViews;
        $this->visitors = $visitors;
        $this->totalTimeSpent = $totalTimeSpent;
        $this->avgTimeSpent = $avgTimeSpent;
    }
    

}