<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Request;
        
class SyncUserAccountRequest 
{
    public string $userIdpId;
    public string $idpSlug;
    public ?string $bushelId = null;
    public string $companySlug;
    public string $sourceAccountId;
    public ?string $sourceAccountName = null;
    /** @var null|string $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  null|string  $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $userIdpId, string $idpSlug, ?string $bushelId, string $companySlug, string $sourceAccountId, ?string $sourceAccountName, ?string $deletedAt)
    {
        $this->userIdpId = $userIdpId;
        $this->idpSlug = $idpSlug;
        $this->bushelId = $bushelId;
        $this->companySlug = $companySlug;
        $this->sourceAccountId = $sourceAccountId;
        $this->sourceAccountName = $sourceAccountName;
        $this->deletedAt = $deletedAt;
    }
    

}