<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class GetOrCreateAccountRequest 
{
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public ?string $sourceLocationId = null;
    public ?string $locationIntegrationId = null;
    public ?string $locationId = null;
    public ?string $sourceName = null;
    public ?string $name = null;

    /**
     */
    public function __construct(string $datasourceId, string $integrationId, string $sourceId, ?string $sourceLocationId, ?string $locationIntegrationId, ?string $locationId, ?string $sourceName, ?string $name)
    {
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceLocationId = $sourceLocationId;
        $this->locationIntegrationId = $locationIntegrationId;
        $this->locationId = $locationId;
        $this->sourceName = $sourceName;
        $this->name = $name;
    }
    

}